import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, n = (p, e, o, r) => {
  for (var s = r > 1 ? void 0 : r ? v(e, o) : e, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (s = (r ? c(e, o, s) : c(s)) || s);
  return r && s && m(e, o, s), s;
};
let t = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--swissFranc", this.class = "c-pieIcon c-pieIcon--swissFranc", this.name = "IconSwissFranc";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--swissFranc"><path d="M2.295 8.131A1.444 1.444 0 0 0 4.29 9.537a1.54 1.54 0 0 0 .508-.33l.06-.06.788.796-.052.06a2.52 2.52 0 0 1-1.89.77A2.563 2.563 0 0 1 1.079 8.15a2.564 2.564 0 0 1 2.625-2.625 2.573 2.573 0 0 1 1.89.726l.052.061-.787.814-.061-.087A1.531 1.531 0 0 0 3.695 6.6a1.435 1.435 0 0 0-1.4 1.531Zm7.236-.586H7.545V5.559H6.33v5.127h1.216V8.613h1.986v2.073h1.225V5.56H9.531v1.986Zm5.425-.875V5.559H11.79v5.127h1.225V8.823h1.864V7.755h-1.864v-1.12l1.942.035Z"></path></svg>`;
  }
};
n([
  a({ type: String, reflect: !0 })
], t.prototype, "size", 2);
n([
  a({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = n([
  f("icon-swiss-franc")
], t);
export {
  t as IconSwissFranc
};
